## Restic 

This [`docker-compose.yml`](./docker-compose.yml) file runs Restic backup as per [`crontab.txt`](data/restic/crontab.txt) with parameters set in  [`.env`](.env.template) using the [restic/restic](https://hub.docker.com/r/restic/restic/).

#### Setup your config
```
cp .env.template .env
vi .env
```

#### Adjust the timing
```
vi ./data/restic/crontab.txt
```

#### Run the container
```
docker-compose up -d
docker logs restic -f
```

#### References
- Restic docu: https://restic.readthedocs.io/en/stable/index.html
